ShingleMatrixFilter.OneDimensionalNonWeightedTokenSettingsCodec (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.shingle.ShingleMatrixFilter.OneDimensionalNonWeightedTokenSettingsCodec class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.shingle
Class ShingleMatrixFilter.OneDimensionalNonWeightedTokenSettingsCodec

    java.lang.Object
      org.apache.lucene.analysis.shingle.ShingleMatrixFilter.TokenSettingsCodec
          org.apache.lucene.analysis.shingle.ShingleMatrixFilter.OneDimensionalNonWeightedTokenSettingsCodec

Enclosing class:
  ShingleMatrixFilter

    public static class ShingleMatrixFilter.OneDimensionalNonWeightedTokenSettingsCodec

extends ShingleMatrixFilter.TokenSettingsCodec

Using this codec makes a `ShingleMatrixFilter` act like `ShingleFilter`. It produces the most simple sort of shingles, ignoring token position increments, et c. It adds each token as a new column.

Constructor Summary
`ShingleMatrixFilter.OneDimensionalNonWeightedTokenSettingsCodec()`

Method Summary
`ShingleMatrixFilter.TokenPositioner` | `getTokenPositioner(org.apache.lucene.analysis.Token token)` Retrieves information on how a `Token` is to be inserted to a `ShingleMatrixFilter.Matrix`.
`float` | `getWeight(org.apache.lucene.analysis.Token token)` Have this method return 1f in order to 'disable' weights.
`void` | `setTokenPositioner(org.apache.lucene.analysis.Token token, ShingleMatrixFilter.TokenPositioner tokenPositioner)` Sets information on how a `Token` is to be inserted to a `ShingleMatrixFilter.Matrix`.
`void` | `setWeight(org.apache.lucene.analysis.Token token, float weight)` Have this method do nothing in order to 'disable' weights.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShingleMatrixFilter.OneDimensionalNonWeightedTokenSettingsCodec

    public ShingleMatrixFilter.OneDimensionalNonWeightedTokenSettingsCodec()

Method Detail

### getTokenPositioner

    public ShingleMatrixFilter.TokenPositioner getTokenPositioner(org.apache.lucene.analysis.Token token)
                                                           throws IOException

  Description copied from class: `ShingleMatrixFilter.TokenSettingsCodec`
  Retrieves information on how a `Token` is to be inserted to a `ShingleMatrixFilter.Matrix`.

  Specified by:
    `getTokenPositioner` in class `ShingleMatrixFilter.TokenSettingsCodec`
  Returns:
    `ShingleMatrixFilter.TokenPositioner`
  Throws:
    `IOException`

### setTokenPositioner

    public void setTokenPositioner(org.apache.lucene.analysis.Token token,
                                   ShingleMatrixFilter.TokenPositioner tokenPositioner)

  Description copied from class: `ShingleMatrixFilter.TokenSettingsCodec`
  Sets information on how a `Token` is to be inserted to a `ShingleMatrixFilter.Matrix`.

  Specified by:
    `setTokenPositioner` in class `ShingleMatrixFilter.TokenSettingsCodec`

### getWeight

    public float getWeight(org.apache.lucene.analysis.Token token)

  Description copied from class: `ShingleMatrixFilter.TokenSettingsCodec`
  Have this method return 1f in order to 'disable' weights.

  Specified by:
    `getWeight` in class `ShingleMatrixFilter.TokenSettingsCodec`
  Returns:
    the weight of parameter token

### setWeight

    public void setWeight(org.apache.lucene.analysis.Token token,
                          float weight)

  Description copied from class: `ShingleMatrixFilter.TokenSettingsCodec`
  Have this method do nothing in order to 'disable' weights.

  Specified by:
    `setWeight` in class `ShingleMatrixFilter.TokenSettingsCodec`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD